<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";

//echo("modulo= $modulo<br>");
$variavelBloqueio="";
if (session_status() === PHP_SESSION_NONE) session_start();
     
    //if($_SESSION['controle3']==""){
    //   echo "Voce nao pode acessar o programa desta forma1837.<br> ";
	   //$variavelBloqueio="disabled";
       //aqui verificamos com um if, se sessão com o nome teste for igual a vazio ou seja nada aparecerá uam mensagem no navegador
       //e a outra parte do arquivo (pode ser a área restrita) não oirá aparecer por causa do exit
      //exit;
    //}





$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');

$controle3=$sessao->getVar('controle3');
/*
if($controle3 !="INICIO"):
   echo ("Acesso incorreto! controle3= $controle3 <br>");
   //exit;
else:

   echo ("Acesso correto? controle3= $controle3 <br>");
   echo ("CONTROEle3 igual inico <br>");
endif;
*/

$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo(" Operador: $nomeOperador idlabo=$idLabo<br>");
//if($nomeOperador=='')echo 'valor branco';
//if($nomeOperador!='')echo 'valor setado';//depois que tem a senha ele esta setado

$anocorrente=date("Y");
$sessao->setVar('anocorrente',$anocorrente);
$sessao->setVar('pedacoAno',$anocorrente);
switch ($tela):
    case 'listar':
        echo '<h2>Usuários cadastrados</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Email</th><th>Login</th><th>Ativo/Adm</th><th>Cadastro</th><th>Ações</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new usuarios();
				$user->extras_select = "WHERE  nivel='OPERADOR' && id_lab=".$idLabo;

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->nome);
                    printf('<td>%s</td>',$res->email);
                    printf('<td>%s</td>',$res->login);
                    printf('<td class="center">%s/%s</td>',strtoupper($res->ativo),strtoupper($res->administrador));
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad)));
                    printf('<td class="center">
					<a href="?m=usuarios&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
					<a href="?m=usuarios&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					<a href="?m=usuarios&t=senha&id=%s" title="Mudar senha"><img src="images/pass.png" alt="Mudar senha" /></a>
					<a href="?m=usuarios&t=excluir&id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
					</td>',$res->id,$res->id,$res->id);
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;//fim do case listar
	
	
 
    case 'editar':
        echo '<h2>Edição de usuários</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE || $sessao->getVar('iduser')==$_GET['id']):
            if (isset($_GET['id'])):
                $id = $_GET['id'];
				//echo $id;
				$acesso="";
				if($id==$idLabo)$acesso="disabled";
					echo("iiiiiiadmin=trueiiiiiiid= $id  idlabo=$idLabo acesso=$acesso  <br>");

                if (isset($_POST['editar'])):
				                  //aqui capta e monta o binario 
                    $binario1='9';
                    $binario2='9';
                    $binario3='9';
                    $binario4='9';
                    $binario5='9';
                    $binario6='9';
                    $binario7='9';
                    $binario8='9';
                    $binario9='9';
                    $binario10='9';
                    $binario11='9';
                    $binario12='9';
                    $binario13='9';
                    $binario14='9';
                    $binario15='9';
                    $binario16='9';
                    $binario17='9';
                    $binario18='9';
                    $binario19='9';
                    $binario20='9';

                    if(isset($_POST['binario1']))$binario1='1';
                    if(isset($_POST['binario2'])):
					   $binario2='1';
                       //echo "marcou o segundo binario";
					endif;

                    if(isset($_POST['binario3']))$binario3='1';
                    if(isset($_POST['binario4']))$binario4='1';
                    if(isset($_POST['binario5']))$binario5='1';
                    if(isset($_POST['binario6']))$binario6='1';
                    if(isset($_POST['binario7']))$binario7='1';
                    if(isset($_POST['binario8']))$binario8='1';
                    if(isset($_POST['binario9']))$binario9='1';
                    if(isset($_POST['binario10']))$binario10='1';
                    if(isset($_POST['binario11']))$binario11='1';
                    if(isset($_POST['binario12']))$binario12='1';
                    if(isset($_POST['binario13']))$binario13='1';
                    if(isset($_POST['binario14']))$binario14='1';
                    if(isset($_POST['binario15']))$binario15='1';
                    if(isset($_POST['binario16']))$binario16='1';
                    if(isset($_POST['binario17']))$binario17='1';
                    if(isset($_POST['binario18']))$binario18='1';
                    if(isset($_POST['binario19']))$binario19='1';
                    if(isset($_POST['binario20']))$binario20='1';
					$binario3='1';
                    $binarioMontado=$binario1.$binario2.$binario3.$binario4.$binario5.$binario6.$binario7.$binario8.$binario9.$binario10.$binario11.$binario12.$binario13.$binario14.$binario15.$binario16.$binario17.$binario18.$binario19.$binario20;
                    echo("binario1=$binario1  binario2=$binario2 binariomontado=$binarioMontado<br>");
                    //$sessao->setVar('binario',$binarioMontado);					                      
                    if(isAdmin()==TRUE):
                        $user = new usuarios(array(
						    'binario'=>$binarioMontado,
                            'nome'=>$_POST['nome'],
                            'email'=>$_POST['email'],
                            'ativo'=>($_POST['ativo']=='on') ? 's' : 'n',
                            'administrador'=>($_POST['adm']=='on') ? 's' : 'n',
                        ));
						echo("é administradro<br>");
                    else:
                        $user = new usuarios(array(
                            'nome'=>$_POST['nome'],
                            'email'=>$_POST['email'],
                        ));
						echo("nao é administradro<br>");
                    endif;
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE   id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    if ($res->email != $_POST['email']):
                        if ($user->existeRegistro('email',$_POST['email'])):
                            printMSG('Este email já existe no sistema, escolha outro endereço!','erro');
                            $duplicado = TRUE;
                        endif;
                    endif;
					
					
					
                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=usuarios&t=listar">Exibir cadastros</a>');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=usuarios&t=listar">Exibir cadastros</a>','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new usuarios();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
		
				//vai ler o binario gravado e mostrar na tela
                $userbd = new usuarios();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
				$binario=$resbd->binario;
                if(substr($binario,0,1)=='1'):
					$segundoVetor[1]='checked';				
                endif;
				if(substr($binario,1,1)=='1'):
					$segundoVetor[2]='checked';				
                endif;
				if(substr($binario,2,1)=='1'):
					$segundoVetor[3]='checked';				
                endif;
				if(substr($binario,3,1)=='1'):
					$segundoVetor[4]='checked';				
                endif;
				if(substr($binario,4,1)=='1'):
					$segundoVetor[5]='checked';				
                endif;
				if(substr($binario,5,1)=='1'):
					$segundoVetor[6]='checked';				
                endif;
				if(substr($binario,6,1)=='1'):
					$segundoVetor[7]='checked';				
                endif;
				if(substr($binario,7,1)=='1'):
					$segundoVetor[8]='checked';				
                endif;
				if(substr($binario,8,1)=='1'):
					$segundoVetor[9]='checked';				
                endif;
				if(substr($binario,9,1)=='1'):
					$segundoVetor[10]='checked';				
                endif;
                ////
				if(substr($binario,10,1)=='1'):
					$segundoVetor[11]='checked';				
                endif;
				if(substr($binario,11,1)=='1'):
					$segundoVetor[12]='checked';				
                endif;
				if(substr($binario,12,1)=='1'):
					$segundoVetor[13]='checked';				
                endif;
				if(substr($binario,13,1)=='1'):
					$segundoVetor[14]='checked';				
                endif;
				if(substr($binario,14,1)=='1'):
					$segundoVetor[15]='checked';				
                endif;
				if(substr($binario,15,1)=='1'):
					$segundoVetor[16]='checked';				
                endif;
				if(substr($binario,16,1)=='1'):
					$segundoVetor[17]='checked';				
                endif;
				if(substr($binario,17,1)=='1'):
					$segundoVetor[18]='checked';				
                endif;
				if(substr($binario,18,1)=='1'):
					$segundoVetor[19]='checked';				
                endif;
				if(substr($binario,19,1)=='1'):
					$segundoVetor[20]='checked';				
                endif;
		
				
				
				
            else:
                printMSG('Usuário não definido, <a href="?m=usuarios&t=listar">escolha um usuário para alterar</a>','erro');
            endif;
			
		

			
			
			
			
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           email:{required:true, email:true},
                       }
                   });
               });

           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <table width="900">
					<tr>
					<!--primeira grade interna-->
					<td><table width="400">
					 <?php echo $acesso; ?>
                     <tr><td>Nome:<input type="text"     size="50" name="nome" autofocus="autofocus" value="<?php if($resbd) echo $resbd->nome; ?>" /></td></tr>
                     <tr><td>Email: <input type="text" size="50" name="email" value="<?php if($resbd) echo $resbd->email; ?>" /></td>
                     <tr><td>Login:<input type="text" disabled="disabled" size="35" name="login" value="<?php if($resbd) echo $resbd->login; ?>" /></td>
                     <tr><td>Ativo:<input type="checkbox" name="ativo" <?php if(!isAdmin()) echo 'disabled="disabled"'; if($resbd->ativo == 's') echo 'checked="checked"'; ?> /> habilitar ou desabilitar o usuário</td>
                     <tr><td>Administrador: <input type="checkbox" name="adm" <?php if(!isAdmin()) echo 'disabled="disabled"'; if($resbd->administrador == 's') echo 'checked="checked"'; ?> /> dar controle total ao usuário</td>
					 </table></td><!--fecha a prieir grade interna-->
					
					
					<!--segunda grade interna-->
					<td>
                    <table width="200">
                    <tr><td>1)Registro de amostra<input type="checkbox"  <?php echo $segundoVetor[1];?>   name="binario1" /></td></tr>    					
                    <tr><td>2)Analise(Pur,Germ,PMS etc)<input type="checkbox"  <?php echo $segundoVetor[2];?>   name="binario2" /></td></tr>    				                         <tr><td>3)Acesso Relatorios financeiros<input type="checkbox"  <?php echo $segundoVetor[3];?>   name="binario3" /></td></tr>    					
                    <tr><td>4)Acesso documentos<input type="checkbox"  <?php echo $segundoVetor[4];?>   name="binario4" />	</td></tr>    					
                    <tr><td>5)vago<input type="checkbox"  <?php echo $segundoVetor[5];?>   name="binario5" />	</td></tr>    					
                    <tr><td>6)vago<input type="checkbox"  <?php echo $segundoVetor[6];?>   name="binario6" /></td></tr>    					
                    <tr><td>7)vago<input type="checkbox"  <?php echo $segundoVetor[7];?>   name="binario7" /></td></tr>    					
                    <tr><td>8)vago<input type="checkbox"  <?php echo $segundoVetor[8];?>   name="binario8" /></td></tr> 
										
                    <tr><td>9) vago<input type="checkbox"  <?php echo $segundoVetor[9];?>   name="binario9" /></td></tr>    					
                    <tr><td>10)vago<input type="checkbox"  <?php echo $segundoVetor[10];?>   name="binario10" /></td></tr>    					
					</table></td>

					<!--terceira grade interna-->
					<td>
                    <table width="200">
                    <tr><td>11)vago<input type="checkbox"  <?php echo $segundoVetor[11];?>   name="binario11" /></td></tr>    					
                    <tr><td>12)vago<input type="checkbox"  <?php echo $segundoVetor[12];?>   name="binario12" /></td></tr>    				                         <tr>                <tr><td>13)vago<input type="checkbox"  <?php echo $segundoVetor[13];?>   name="binario13" /></td></tr>    					
                    <tr><td>14)vago<input type="checkbox"  <?php echo $segundoVetor[14];?>   name="binario14" /></td></tr>    					
                    <tr><td>15)vago<input type="checkbox"  <?php echo $segundoVetor[15];?>   name="binario15" /></td></tr>    					
                    <tr><td>16)vago<input type="checkbox"  <?php echo $segundoVetor[16];?>   name="binario16" /></td></tr>    					
                    <tr><td>17)vago<input type="checkbox"  <?php echo $segundoVetor[17];?>   name="binario17" /></td></tr>    					
                    <tr><td>18)vago<input type="checkbox"  <?php echo $segundoVetor[18];?>   name="binario18" /></td></tr> 
                    <tr><td>19)vago<input type="checkbox"  <?php echo $segundoVetor[19];?>   name="binario19" /></td></tr>    					
                    <tr><td>20)vago<input type="checkbox"  <?php echo $segundoVetor[20];?>   name="binario20" /></td></tr>    					
					</table></td>

				</table><!--fecha a grade geral externa-->
						
                        <td><input type="button" onclick="location.href='?m=usuarios&t=listar'" value="Cancelar" /><input type="submit" name="editar" value="Salvar Alterações" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;//fim do case editar

	
    case 'login':
	    //echo"esta no case login";
	        $sessao = new sessao();
			//$controle3=$sessao->getVar('controle3');
			//if($controle3 =="INICIO"):
			   //echo ("Ok. Entre com senha e login. controle3=inicio1854 <br>");
			   //exit;
			//else:
			   //echo ("Acesso incorreto1837!  <br>");
			//endif;

			$a=$sessao->getNvars();
			$b=$sessao->getVar('logado');
			$c=$sessao->getVar('ip');
			$d=$_SERVER['REMOTE_ADDR'];
            if($a==1):
			  //echo ("Acesso incorreto do modulo.usuarios L65 aqui tinha o exit <br>");
			  //exit;
            endif;

            $teste=4;			
	        //if ($sessao->getNvars()>0 && $sessao->getVar('logado')==TRUE && $sessao->getVar('ip')==$_SERVER['REMOTE_ADDR']):
	        if ($sessao->getVar('logado')==TRUE ):
	        //if ($teste==4):
                  //echo("dentro do if que manda ir para o redireciona<br>");
                  //echo("mandou para o painel 0542 a=$a b=$b c=$c d=$d <br>");			   
			      redireciona('painel.php');
			else:
			     // echo("dentro do else que testa logado 0541 a=$a b=$b c=$c d=$d  remoteadress= <br>");	
				  	  

			endif;
				  
	        if (isset($_POST['logar'])):
	            $user = new usuarios();
	            $user->setValor('login',antiInject($_POST['usuario']));
	            $user->setValor('senha',antiInject($_POST['senha']));
	            //$sessao->setVar('controle3','INICIO');
	            if ($user->doLogin($user)):
				    echo("linha 86 modulo usuarios. Aqui vi direcionar para abrir o progrma0659 <br>");
	                redireciona('painel.php');
	            else:
				    echo("linha 89 modulo usuarios. Aqui vi direcionar para erro 2 o progrma0653  senha incorreta? <br>");
	                redireciona('?erro=2');//dados inclorretos ou usuario inativo
	            endif;
	        endif;//final do isset logar
		
	   ?>
	   <script type="text/javascript">
	       $(document).ready(function(){
	           $(".userform").validate({
	               rules:{
	                   usuario:{required:true, minlength:3},
	                   senha:{required:true, rangelength:[4,20]},
	               }
	           });
	       });
	   
	   </script>

	   <body >
 
    
            <form class="userform" method="post" action="">
				
		<!--
			<!--INICIOOOOOOOOOOOOOOOOOOOOOOOOOOOO
		        <fieldset>
                SilasNet - Aplicativo web para GESTÃO DE DADOS DE LABORATÓRIOS DE ANÁLISE DE SEMENTES E AFINS.MU
                <ul><legend1>
				<li>Este sistema está EM OPERAÇÃO REAL em vários laboratórios, assim  todos os comandos e controles, tem uma razão de estarem onde estão. Existe uma lista muito extensa de requisitos contemplados devidamente registrados e catalogados de forma organizada, que foram reunidos durante vários anos de atuação da empresa no setor, como fornecedora de um aplicativo específico para laboratórios de análise de sementes em todo Brasil, contemplando, grandes culturas,forrageiras, medicinais, ornamentais,florestais e outras, bem como elaboração de telas especialmente projetadas para inserir valores de leitura dos diversos testes, validações, mensagens amistosas de orientação, visando dar rendimento ao trabalho e ao mesmo tempo padronizar o trabalho laboratorial em atendimento às regras de análise de semente.
					
					
					</li>
				
                    <li>Neste aplicativo é possível registrar amostras que entram no laboratório de análise de sementes. O sistema registra, calcula e organiza dados fisiológicos da semente com vistas à determinação de suas qualidades como insumo. Em telas específicas é possível digitar leituras de germinação,TZ, Pureza,E.Acel, PMS depois calcular, gravar,
                    emitir laudo,boletim, termo e certificado, e todos os relatórios usualmente gerados na rotina de trabalho. O projeto ainda prevê, proximamente, o registro de campos de produção e saída de semente, e seus respectivos controles e relatórios estatísticos.</li>
                    <li> Planilha dinâmica inclusa, permite opções de pesquisa de dados, mediante filtros selecionáveis e criar modelos de relatórios, onde o usuário tem ampla autonomia.Transferência de dados para Excel® e xml para aplicativos de gestão(ERP), como TOTUS®,SAP® e outros.
					</li>
					<li>Existe uma versão de demonstração, veja como fazer voltando para tela inicial e clicando no botão DEMONSTRAÇÃO SEMENTE </li>
                    <li>Custo: Um valor inicial de adesão e uma taxa de aluguel mensal, com contrato.</li></legend1>
                    <li>Uberlândia/MG/Brasil - e-mail: silasiso17025@bol.com.br</li>
                </ul>
                </fieldset>
				-->	
		    <!--FINALLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL-->
			<br>
			
			   <div class="imgcontainer">
                   <div>&nbsp;</div><div>&nbsp;</div><div>&nbsp;</div><div>&nbsp;</div><div>&nbsp;</div><div>&nbsp;</div><div>&nbsp;</div><div>&nbsp;</div>
                   <div class="titulo">SilasNet®</div>
                   <div class="subtitulo">Aplicativo Web para laboratório de análise de sementes</div>
                </div>
				<div>&nbsp;</div>
				<div>&nbsp;</div><div>&nbsp;</div>

                       <div class="container">
					   <div class="campo">
                            <label for="usuario"  class="subtitulo1">Usuário:</label>
							<br>
                            <input type="text" style="height: 30px; width:100%" name="usuario" autofocus="autofocus" <?php echo $variavelBloqueio; ?> value="<?php echo $_POST['usuario']; ?>" />
                        <div>&nbsp;</div>
                            <label for="senha" class="subtitulo1">Senha:</label>
							
                            <input type="password" style="height: 30px; width:100%" name="senha" value="<?php echo $_POST['senha']; ?>" />
							<div>&nbsp;</div><div>&nbsp;</div>
                            <button type="submit" name="logar" >Login</button>
                            
                        </div>
						</div>
				
                    <?php 
                    $erro = $_GET['erro'];
					//echo ("erro=$erro<br>");
                    switch ($erro):
                        case 1:
                            echo '<div class="sucesso">Você fez logoff do sistema.</div>';
                            break;
                        case 2:
						    echo md5('pitanga');//aqui mostra um codigo para eu capturar nao fede nem cheira
                            echo '<div class="erro">Dados incorretos ou usuário inativo. </div>';
                            break;
                        case 3:
                            echo '<div class="erro">Faça login antes de acessar a página solicitada.</div>';
                            break;
                    endswitch;
                    ?>
               

 
            </form>
			
      	
		</body>	  
		<?php
		break;//fim do case login

    case 'incluir':
        echo '<h2>Cadastro de usuários</h2>';
        if (isset($_POST['cadastrar'])):
            $user = new usuarios(array(
                'nome'=>$_POST['nome'],
                'id_lab'=>$idLabo,
                'nivel'=>'OPERADOR',
                'binario'=>'1111111111111',
                'email'=>$_POST['email'],
                'login'=>$_POST['login'],
                'senha'=>codificaSenha($_POST['senha']),
                'administrador'=>($_POST['adm']=='on') ? 's' : 'n',
            ));
            if ($user->existeRegistro('login',$_POST['login'])):
                printMSG('Este login já está cadastrado, escolha outro nome de usuário.','erro');
                $duplicado = TRUE;
            endif;
            if ($user->existeRegistro('email',$_POST['email'])):
                printMSG('Este email já está cadastrado, escolha outro endereço.','erro');
                $duplicado = TRUE;
            endif;
			
			echo("duplicado= $duplicado<br>");
			
            if ($duplicado!=TRUE):
                $user->inserir($user);
				$jaco=$user->linhasafetadas;
			    //echo("duplicado= $duplicado jaco=$jaco<br>");
				
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=usuarios&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       nome:{required:true, minlength:3},
                       email:{required:true, email:true},
                       login:{required:true, minlength:5},
                       senha:{required:true, rangelength:[4,10]},
                       senhaconf:{required:true, equalTo:"#senha"},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
               	<table width="900">
					<tr>
					<!--primeira grade interna-->
					<td><table width="400">
                    <tr><td>Nome<input type="text" size="50" name="nome" autofocus="autofocus" value="<?php echo $_POST['nome'] ?>" /></td></tr>
                    <tr><td>Email:<input type="text" size="50" name="email" value="<?php echo $_POST['email'] ?>" /></td></tr>
                    <tr><td>Login:<input type="text" size="35" name="login"   value="<?php echo $_POST['login'] ?>" /></td></tr>
                    <tr><td>Senha:<input type="password" size="25" name="senha" id="senha" value="<?php echo $_POST['senha'] ?>" /></td></tr>
                    <tr><td>Repita a senha:<input type="password" size="25" name="senhaconf" value="<?php echo $_POST['senhaconf'] ?>" /></td></tr>
                    <tr><td><input type="checkbox" name="adm" <?php if(!isAdmin()) echo 'disabled="disabled"'; 
					if($_POST['adm']) echo 'checked="checked"'; ?> /> dar controle total ao usuário</td></tr>
				    </table></td>
					
					
					<!--segunda grade interna-->
					<td>
                    <table width="200">
                    <tr>
					<td>
                      1)Financeiro_Geral<input type="checkbox"  <?php echo $segundoVetor[1];?>   name="binario1" />				
					</td>
					</tr>    					
                    <tr>
					<td>
                      2)Financeiro específico Física<input type="checkbox"  <?php echo $segundoVetor[2];?>   name="binario2" />				
					</td>
					</tr>    					
                    <tr>
					<td>
                      3)Acesso registro pedidos<input type="checkbox"  <?php echo $segundoVetor[3];?>   name="binario3" />				
					</td>
					</tr>    					
                    <tr>
					<td>
                      4)Acesso  Física<input type="checkbox"  <?php echo $segundoVetor[4];?>   name="binario4" />				
					</td>
					</tr>    					
                    <tr>
					<td>
                      5)Acesso Química<input type="checkbox"  <?php echo $segundoVetor[5];?>   name="binario5" />				
					</td>
					</tr>    					
                    <tr>
					<td>
                      6)Acesso Geral <input type="checkbox"  <?php echo $segundoVetor[6];?>   name="binario6" />				
					</td>
					</tr>    					
                    <tr>
					<td>
                      7)Acesso cadastro completo<input type="checkbox"  <?php echo $segundoVetor[7];?>   name="binario7" />				
					</td>
					</tr>    					
                    <tr>
					<td>
                      vago<input type="checkbox"  <?php echo $segundoVetor[8];?>   name="binario8" />				
					</td>
					</tr>    					
                    <tr>
					<td>
                      vago<input type="checkbox"  <?php echo $segundoVetor[9];?>   name="binario9" />				
					</td>
					</tr>    					
                    <tr>
					<td>
                      vago<input type="checkbox"  <?php echo $segundoVetor[10];?>   name="binario10" />				
					</td>
					</tr>    					


					</table></td>
				</table><!--fecha a grade geral externa-->
				
				
					
					
					
					
                    <td><input type="button" onclick="location.href='?m=usuarios&t=listar'" value="Cancelar" /><input type="submit" name="cadastrar" value="Salvar dados" /></li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;
		
		
		
    //Vai listar OPERADOR		





	
	case 'editarLaboratorio':
        echo '<h2>Edição de dados do Laboratório</h2>';
        $sessao = new sessao();
		$idLabo=$sessao->getVar('idLabo');
		//echo(" Operador: $nomeOperador idlabo=$idLabo<br>");

	    $arquivo='i'.$idLabo.'.JPG';
		
		   if (isset($_POST['editarLaboratorioGravando'])):
                     $id=$idLabo;
                        $user = new usuarios(array(
                            'nome'=>$_POST['nome'],
                            'email'=>$_POST['email'],
                            'ende1'=>$_POST['ende1'],
                            'ende2'=>$_POST['ende2'],
                            'ende3'=>$_POST['ende3'],
                            'ende4'=>$_POST['ende4'],
                            'ende5'=>$_POST['ende5'],
                            'cidade'=>$_POST['cidade'],
                            'regiao'=>$_POST['uf'],
                            'renasem'=>$_POST['renasem'],
                        ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE   id_lab=".$idLabo." && nivel='TITULAR'";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();

                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. ');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. ','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new usuarios();
                $userbd->extras_select = "WHERE id=".$idLabo." && nivel='TITULAR'";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();

            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           email:{required:true, email:true},
                       }
                   });
               });
			   
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração dos dados do laboratório</legend>
                    <ul>
                        <li><label for="nome">Nome do laboratório:</label>
                        <input type="text" size="80" name="nome" autofocus="autofocus" maxlength="70" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="email">1ª linha do endereço:</label>
                        <input type="text" size="80" name="ende1"  maxlength="150" value="<?php if($resbd) echo $resbd->ende1; ?>" /></li>
                        <li><label for="email">2ª linha do endereço:</label>
                        <input type="text" size="80" name="ende2"  maxlength="150" value="<?php if($resbd) echo $resbd->ende2; ?>" /></li>
                        <li><label for="email">3ª linha do endereço:</label>
                        <input type="text" size="80" name="ende3"  maxlength="150" value="<?php if($resbd) echo $resbd->ende3; ?>" /></li>
                        <li><label for="email">4ª linha do endereço:</label>
                        <input type="text" size="80" name="ende4"  maxlength="150" value="<?php if($resbd) echo $resbd->ende4; ?>" /></li>
                        <li><label for="email">5ª linha do endereço:</label>
                        <input type="text" size="80" name="ende5"  maxlength="150" value="<?php if($resbd) echo $resbd->ende5; ?>" /></li>
						
						Orientação: Os dados acima sairão no boletim exatamente como aparecem.
                        <li><label for="email">Cidade:</label>
                        <input type="text" size="50" name="cidade"  maxlength="100" value="<?php if($resbd) echo $resbd->cidade; ?>" />
						<label for="uf">UF:</label>
                        <input type="text" size="2" name="uf"  maxlength="2" value="<?php if($resbd) echo $resbd->regiao; ?>" />
						</li>
                        <li><label for="email">Email do lab.:</label>
                        <input type="text" size="50" name="email" value="<?php if($resbd) echo $resbd->email; ?>" />
						
                        <label for="renasem">RENASEM:</label>
                        <input type="text" size="10" name="renasem" value="<?php if($resbd) echo $resbd->renasem; ?>" /></li>


                        <li>
						Logo: i<?php if($resbd) echo $resbd->id; ?>.JPG
						<img src="ImagensClientes/<?php echo $arquivo;?>" width="190" height="90"  /> <!-- aqui funfa-->
					  					
						</li>
                        <li class="center"><input type="button" onclick="location.href='?m=usuarios&t=listar'" value="Cancelar" />
						<input type="submit" name="editarLaboratorioGravando" value="Salvar Alterações" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
    break;//fim do case editar laboratorio

	
	
	/////////////////////////////////////////
    case 'senha':
        echo '<h2>Alteração de senha</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE || $sessao->getVar('iduser')==$_GET['id']):
            if (isset($_GET['id'])):
                $id = $_GET['id'];
                if (isset($_POST['mudasenha'])):
                    $user = new usuarios(array(
                        'senha'=>codificaSenha($_POST['senha']),
                    ));
                    $user->valorpk = $id;
                    $user->atualizar($user);
                    if ($user->linhasafetadas==1):
                        printMSG('Senha alterada com sucesso. <a href="?m=usuarios&t=listar">Exibir cadastros</a>');
                        unset($_POST);
                    else:
                        printMSG('Nenhum dado foi alterado. <a href="?m=usuarios&t=listar">Exibir cadastros</a>','alerta');
                    endif;                   
                endif;
                $userbd = new usuarios();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('Usuário não definido, <a href="?m=usuarios&t=listar">escolha um usuário para alterar</a>','erro');
            endif;
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           senha:{required:true, rangelength:[4,10]},
                           senhaconf:{required:true, equalTo:"#senha"},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <ul>
                        <li><label for="nome">Nome:</label>
                        <input type="text" disabled="disabled" size="50" name="nome" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="email">Email:</label>
                        <input type="text" disabled="disabled" size="50" name="email" value="<?php if($resbd) echo $resbd->email; ?>" /></li>
                        <li><label for="login">Login:</label>
                        <input type="text" disabled="disabled" size="35" name="login" value="<?php if($resbd) echo $resbd->login; ?>" /></li>
                        <li><label for="senha">Senha:</label>
                        <input type="password" size="25" name="senha" id="senha" autofocus="autofocus" value="<?php echo $_POST['senha'] ?>" /></li>
                        <li><label for="senhaconf">Repita a senha:</label>
                        <input type="password" size="25" name="senhaconf" value="<?php echo $_POST['senhaconf'] ?>" /></li>
                        <li class="center"><input type="button" onclick="location.href='?m=usuarios&t=listar'" value="Cancelar" /><input type="submit" name="mudasenha" value="Salvar Alterações" /></li>
                    </ul>
            
			
			    </fieldset>

            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;//fim do case senha
	
	
	/////////////////////////////////////////
    case 'excluir':
        echo '<h2>Exclusão de usuários</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE):
            if (isset($_GET['id'])):
                $id = $_GET['id'];
                if (isset($_POST['excluir'])):
                    $user = new usuarios();
                    $user->valorpk = $id;
                    $user->deletar($user);
                    if ($user->linhasafetadas==1):
                        printMSG('Registro excluído com sucesso. <a href="?m=usuarios&t=listar">Exibir cadastros</a>');
                        unset($_POST);
                    else:
                        printMSG('Nenhum registro foi excluído. <a href="?m=usuarios&t=listar">Exibir cadastros</a>','alerta');
                    endif;                   
                endif;
                $userbd = new usuarios();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('Usuário não definido, <a href="?m=usuarios&t=listar">escolha um usuário para excluir</a>','erro');
            endif;
            ?>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Confira os dados para exclusão</legend>
                    <ul>
                        <li><label for="nome">Nome:</label>
                        <input type="text" disabled="disabled" size="50" name="nome" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="email">Email:</label>
                        <input type="text" disabled="disabled" size="50" name="email" value="<?php if($resbd) echo $resbd->email; ?>" /></li>
                        <li><label for="login">Login:</label>
                        <input type="text" disabled="disabled" size="35" name="login" value="<?php if($resbd) echo $resbd->login; ?>" /></li>
                        <li><label for="ativo">Ativo:</label>
                        <input type="checkbox" disabled="disabled" name="ativo" <?php if($resbd->ativo == 's') echo 'checked="checked"'; ?> /> habilitar ou desabilitar o usuário</li>
                        <li><label for="adm">Administrador:</label>
                        <input type="checkbox" disabled="disabled" name="adm" <?php if($resbd->administrador == 's') echo 'checked="checked"'; ?> /> dar controle total ao usuário</li>
                        <li class="center"><input type="button" onclick="location.href='?m=usuarios&t=listar'" value="Cancelar" /><input type="submit" name="excluir" value="Confirmar Exclusão" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;//fim do casse excluir
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>